Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.standard
Class StandardAddress

    java.lang.Object
      rice.pastry.standard.StandardAddress

All Implemented Interfaces:
  Address, java.io.Serializable

public class StandardAddress
extends java.lang.Object
implements Address

Constructs an address for a specific class and instance name.

Version:
  $Id: StandardAddress.java,v 1.4 2005/03/11 00:58:03 jeffh Exp $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected int` | `myCode` DESCRIBE THE FIELD
`protected java.lang.String` | `name` DESCRIBE THE FIELD

Constructor Summary
`StandardAddress(java.lang.Class c, java.lang.String instance)` Constructor for StandardAddress.

Method Summary
`boolean` | `equals(java.lang.Object obj)` DESCRIBE THE METHOD
`int` | `hashCode()` DESCRIBE THE METHOD
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### myCode

    protected int myCode

  DESCRIBE THE FIELD

### name

    protected java.lang.String name

  DESCRIBE THE FIELD

Constructor Detail

### StandardAddress

    public StandardAddress(java.lang.Class c,
                           java.lang.String instance)

  Constructor for StandardAddress.

Parameters:
  `c` - DESCRIBE THE PARAMETER
  `instance` - DESCRIBE THE PARAMETER

Method Detail

### hashCode

    public int hashCode()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### equals

    public boolean equals(java.lang.Object obj)

  DESCRIBE THE METHOD

  Parameters:
    `obj` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.